Skip to main content
Quote / Variants

Get photos for a specific variant

Get list of photo codes and corresponding types for a given vehicle variant. Photo codes are provided by the vehicle data supplier, and are typically used as the file name for each image. Types describe the orientation of the photo e.g. 'front'.

GET
/qt/variants/photos

This method requires the QuoteVariants:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
variant_idstringqueryrequired

Variant Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
photo_typeenum<string>[]query

Optional Photo Types

Maximum array length: 5

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1